# $Id: Perm_DB_Simple.sql,v 1.1 2003/03/13 14:57:01 krausbn Exp $

CREATE TABLE liveuser_areas(
area_id INT UNSIGNED DEFAULT 0 NOT NULL,
area_define_name VARCHAR(20) NOT NULL,
PRIMARY KEY (area_id),
UNIQUE UC_area_id (area_id));


CREATE TABLE liveuser_rights(
right_id INT UNSIGNED DEFAULT 0 NOT NULL,
area_id INT UNSIGNED NOT NULL,
right_define_name VARCHAR(50) NOT NULL,
FOREIGN KEY (area_id) REFERENCES liveuser_areas (area_id),
PRIMARY KEY (right_id),
UNIQUE UC_right_id (right_id),
INDEX IDX_liveuser_rights_area_id (area_id));


CREATE TABLE liveuser_perm_users(
user_id BIGINT UNSIGNED DEFAULT 0 NOT NULL,
auth_user_id VARCHAR(32) DEFAULT 0 NOT NULL,
type TINYINT UNSIGNED DEFAULT NULL,
auth_container_name VARCHAR(32) NOT NULL,
PRIMARY KEY (user_id),
UNIQUE UC_user_id (user_id));


CREATE TABLE liveuser_userrights(
user_id BIGINT UNSIGNED NOT NULL,
right_id INT UNSIGNED NOT NULL,
FOREIGN KEY (user_id) REFERENCES liveuser_perm_users (user_id),
FOREIGN KEY (right_id) REFERENCES liveuser_rights (right_id),
INDEX IDX_liveuser_userrights_user_id (user_id),
INDEX IDX_liveuser_userrights_right_id (right_id));
